<?php
/*
Plugin Name: Шаблон для создания плагинов Wordpress
Plugin URI: http://azzrael.ru
Description: Шаблон для создания плагинов Wordpress
Version: 1.0.0
Author: Azzrael
Author URI: http://azzrael.ru
*/

/* *************************************************************************************************************** */
function azzrael_wp_plugin_admin_menu(){
    if ( function_exists('add_options_page') )
    {
        $admin_page = add_options_page('Azzrael Template', 'Azzrael Template', 8, 'azztemplate',  'azzrael_wp_plugin_admin_menu_form' );
		// Подгружаем стили и скрипты из папки плагина
		//add_action( "admin_print_scripts-$admin_page", 'azzrael_wp_plugin_admin_menu_form_head' );
    }
}

/* ******************************* */
// Подгружаем стили и скрипты из папки плагина
function azzrael_wp_plugin_admin_menu_form_head(){
	$plugindir = get_settings('home').'/wp-content/plugins/'.dirname(plugin_basename(__FILE__));
	wp_enqueue_script('loadjs', $plugindir . '/azzrael_wp_plugin.js');
	//wp_enqueue_script( 'jquery' ); // если нужно jquery - включите, дублироваться они не будут
	echo "<link rel='stylesheet' href='$plugindir/azzrael_wp_plugin.css' type='text/css' />\n";
}

function azzrael_wp_plugin_admin_menu_form(){

?>
<div class='wrap'>
	<div id="icon-options-general" class="icon32"><br /></div>
	<h2>Настройки</h2>
	<div class='content_body'>
		<a href="http://azzrael.ru">Подробности</a>
	</div>
</div>	
<?php
}

/* ******************************* */
add_action('admin_menu',  'azzrael_wp_plugin_admin_menu' );

?>